/* $Id: utils.h 503 2012-12-09 01:48:29Z bhockney $ */

#ifndef _UTILS_H
#define _UTILS_H

#include <network.h>

void *xmalloc(int size);
void free_conn_data(void);
void init_line(void);
void build_time(char *smonth, int day, int hour, int minute, int second);
void add_input_file(char *name);
void free_input_file(void);
char * resolve_protocol(int proto);
char * resolve_hostname(void *ip, char *type, unsigned long length);
char * get_service(unsigned int port, int proto);
long int get_port(char * service, int proto);
char * strip_nl(char *msg);
int get_icmp_values(char *input);
#endif
